[med-svn] r10343 - trunk/packages/gnumed-server/trunk/debian
Andreas Tille
tille at alioth.debian.org
Thu Apr 5 13:16:53 UTC 2012
Author: tille
Date: 2012-04-05 13:16:52 +0000 (Thu, 05 Apr 2012)
New Revision: 10343
Added:
trunk/packages/gnumed-server/trunk/debian/postrm
Modified:
trunk/packages/gnumed-server/trunk/debian/changelog
trunk/packages/gnumed-server/trunk/debian/prerm
Log:
Fixed {pre,post}rm; Upload to unstable
Modified: trunk/packages/gnumed-server/trunk/debian/changelog
===================================================================
--- trunk/packages/gnumed-server/trunk/debian/changelog 2012-04-05 12:07:22 UTC (rev 10342)
+++ trunk/packages/gnumed-server/trunk/debian/changelog 2012-04-05 13:16:52 UTC (rev 10343)
@@ -1,10 +1,10 @@
-gnumed-server (16.13-1) UNRELEASED; urgency=low
+gnumed-server (16.13-1) unstable; urgency=low
* New upstream version
* debian/control: Standards-Version: 3.9.3 (no changes needed)
* debian/{compat,control}: debhelper 9
- * debian/prerm: Make sure dirs that are created in postinst are
- really removed when purging the package
+ * debian/{prerm,postrm}: Make sure dirs that are created in postinst
+ are really removed when purging the package
Closes: #663036
-- Andreas Tille <tille at debian.org> Thu, 05 Apr 2012 14:01:04 +0200
Added: trunk/packages/gnumed-server/trunk/debian/postrm
===================================================================
--- trunk/packages/gnumed-server/trunk/debian/postrm (rev 0)
+++ trunk/packages/gnumed-server/trunk/debian/postrm 2012-04-05 13:16:52 UTC (rev 10343)
@@ -0,0 +1,49 @@
+#!/bin/sh
+# prerm script for gnumed-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+GMSERVERDIR=/var/lib/gnumed/server
+
+case "$1" in
+ purge)
+ rm -rf $GMSERVERDIR
+ rm -rf $GMSERVERDIR
+ # Delete possibly existing links to /etc/gnumed/@gm-logins
+ find /etc/postgresql -type l -name @gm-logins -exec rm -f \{\} \;
+ ;;
+ remove|upgrade|deconfigure)
+ if [ -d $GMSERVERDIR ] ; then
+ find $GMSERVERDIR -name "*.pyc" | xargs rm -f
+ fi
+ ;;
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
Modified: trunk/packages/gnumed-server/trunk/debian/prerm
===================================================================
--- trunk/packages/gnumed-server/trunk/debian/prerm 2012-04-05 12:07:22 UTC (rev 10342)
+++ trunk/packages/gnumed-server/trunk/debian/prerm 2012-04-05 13:16:52 UTC (rev 10343)
@@ -18,12 +18,6 @@
case "$1" in
- purge)
- rm -rf /var/log/gnumed/server/
- rm -rf /var/lib/gnumed/server/
- # Delete possibly existing links to /etc/gnumed/@gm-logins
- find /etc/postgresql -type L -name @gm-logins -exec rm -f \{\} \;
- ;;
remove|upgrade|deconfigure)
if [ -d /var/lib/gnumed/server/bootstrap ] ; then
rm -f /var/lib/gnumed/server/bootstrap/*.pyc
More information about the debian-med-commit
mailing list